diff --git a/src/bin/pg_dump/pg_backup_archiver.c b/src/bin/pg_dump/pg_backup_archiver.c
index f6fbf44..4aed1cb 100644
--- a/src/bin/pg_dump/pg_backup_archiver.c
+++ b/src/bin/pg_dump/pg_backup_archiver.c
@@ -353,16 +353,17 @@ RestoreArchive(Archive *AHX)
 
 	ahprintf(AH, "--\n-- PostgreSQL database dump\n--\n\n");
 
+	if (AH->archiveRemoteVersion)
+		ahprintf(AH, "-- Dumped from database version %s\n",
+				 AH->archiveRemoteVersion);
+	if (AH->archiveDumpVersion)
+		ahprintf(AH, "-- Dumped by pg_dump version %s\n",
+				 AH->archiveDumpVersion);
+
 	if (AH->public.verbose)
-	{
-		if (AH->archiveRemoteVersion)
-			ahprintf(AH, "-- Dumped from database version %s\n",
-					 AH->archiveRemoteVersion);
-		if (AH->archiveDumpVersion)
-			ahprintf(AH, "-- Dumped by pg_dump version %s\n",
-					 AH->archiveDumpVersion);
 		dumpTimestamp(AH, "Started on", AH->createDate);
-	}
+
+	ahprintf(AH, "\n");
 
 	if (ropt->single_txn)
 	{
